# private.h File Reference

Declaration of ccRTP internal stuff. More...

`#include <cc++/config.h>`
`#include <cc++/thread.h>`
`#include <cc++/socket.h>`
`#include <cc++/process.h>`
`#include <cc++/export.h>`
`#include "config.h"`

Go to the source code of this file.

## Defines

#define | I(e)
#define | DL(e)
#define | VDL(e)

## Functions

uint32 | random32 ()
uint16 | random16 ()

## Variables

const uint32 | NTP_EPOCH_OFFSET = static_cast<uint32>(2208992400ul)

## Detailed Description

Declaration of ccRTP internal stuff.

This header includes the autogenerated config.h, the general header (rtp.h) and the nana assertion checking library headers. It also defines common macros and constants.

## Define Documentation

#define DL | ( |  | e ) |

#define I | ( |  | e ) |

#define VDL | ( |  | e ) |

## Function Documentation

uint16 random16 | ( | ) |

uint32 random32 | ( | ) |

## Variable Documentation

const uint32 NTP_EPOCH_OFFSET = static_cast<uint32>(2208992400ul)